SetActivLeaf("GirlsRoom");

addfade(-501,0)
SetAlfa(-501,1,0,1.5)

to_street={
65,576,
65,690,
748,690,
748,576
}

CreatePolygon(542,4,"to_street")
set_visible_object(542,false)

leaves_0_0_table={72,215,73,215,73,216};
CreatePolygon(NewId("light_2_0"),3,"leaves_0_0_table");
--ShowPolygon(obj.light_2_0.id,true);
AddEmiter(obj.light_2_0.id,"light_12_0",nil,nil,nil,true);
StartEmiter("light_12_0");
MoveEmiter("light_12_0",300,180)


CreatePolygon(NewId("dust_1_0"),3,"leaves_0_0_table");
--ShowPolygon(obj.dust_1_0.id,true);
AddEmiter(obj.dust_1_0.id,"dust_1_0",nil,nil,nil,true);
StartEmiter("dust_1_0");
MoveEmiter("dust_1_0",300,180)

CreatePolygon(NewId("bug_1_0"),3,"leaves_0_0_table");
--ShowPolygon(obj.bug_1_0.id,true);
AddEmiter(obj.bug_1_0.id,"bug_1_0",nil,nil,nil,true);
StartEmiter("bug_1_0");
MoveEmiter("bug_1_0",512,600)


addstaticobjecttogame(15,"bt",0,389,"",0,0,106,70);
addactivobjecttogame(17,"bt",737,398,"","",0,0,0,150,95,93)
AddEmiter(17,"Standart_1_3",false,745,438);
StartEmiter("Standart_1_3");
to_book={
16,390,
100,390,
100,440,
16,440
}
if not flags.BookCompl then
CreatePolygon(12,4,"to_book")
AddEmiter(12,"Standart_1_1",false,59,408);
StartEmiter("Standart_1_1");
if not flags.book_openM then 
speciale_action(2,15)
end
end;
addstaticobjecttogame(14,"bt",805,410,"",107,0,106,87);
addstaticobjecttogame(16,"bt",805,434,"",0,71,106,70);
to_shkat={
803,430,
900,430,
900,490,
803,490
}
if not flags.ShkatCompl then
  CreatePolygon(13,4,"to_shkat")
  speciale_action(4,13)
  if not flags.wkat_openM then
    speciale_action(2,14)
  end;
  AddEmiter(13,"Standart_1_2",false,865,468);
  StartEmiter("Standart_1_2");
else
  if not flags.wkat_openM then
    speciale_action(2,16)
  end;
end;

NewObj("bg_1_0","bg_1_0",0,0,"");
ActivateObject(obj.bg_1_0.id,false);

